module.exports = {
  extends: ['@commitlint/config-conventional'],
  rules: {
    'body-leading-blank': [2, 'always'],
    'footer-leading-blank': [2, 'always'],
    'scope-case': [2, 'always', 'lower-case'],
    'scope-empty': [2, 'never'],
    'scope-enum': [
      2,
      'always',
      [
        'api',
        'assets',
        'components',
        'config',
        'constants',
        'hooks',
        'i18n',
        'icons',
        'layout',
        'misc',
        'release',
        'router',
        'stores',
        'styles',
        'types',
        'utils',
        'views',
      ],
    ],
    'subject-max-length': [2, 'always', 60],
    'subject-min-length': [2, 'always', 4],
    'subject-exclamation-mark': [2, 'never'],
  },
};
