import type { InjectionKey } from 'vue';

export const SET_COLOR_PRIMARY: InjectionKey<(color: string) => void> = Symbol('setColorPrimary');

export const IS_USED_IN_MODAL_GUIDANCE: InjectionKey<boolean> = Symbol('isUsedInModalGuidance');

export const CLOSE_MODAL_GUIDANCE: InjectionKey<() => void> = Symbol('closeModalGuidance');

export const FINISH_MODAL_GUIDANCE: InjectionKey<() => void> = Symbol('finishModalGuidance');
